<?php
if (!function_exists('bpxl_enquiry_menu')) {
    function bpxl_enquiry_menu()
    {

        //  add_menu_page('My Page Title', 'Enquiry', 'manage_options', 'my-menu', 'bpxl_whatsapp_enquiry_settings_page' );
        add_menu_page('Enquriy Setting', __('Enquriy Setting', 'bpxl_enquiry'), 'manage_options', 'bpxl_master', 'bpxl_master_settings_page', 'dashicons-editor-help');
        // add_submenu_page('master', 'Enquiry', 'Enquiry', 'manage_options','enquiry', 'bpxl_whatsapp_enquiry_settings_page');
        add_submenu_page('bpxl_master', __('Whatsapp Enquiry Setting', 'bpxl_enquiry'), __('Whatsapp', 'bpxl_enquiry'), 'manage_options',  'bpxl_whatapp_enquiry', 'bpxl_whatsapp_enquiry_settings_page');
        add_submenu_page('bpxl_master', __('Fb Messenger Setting', 'bpxl_enquiry'), __('Fb Messenger', 'bpxl_enquiry'), 'manage_options',  'bpxl_messenger', 'bpxl_facebook_enquiry_settings_page');
        wp_enqueue_style('wp-color-picker');
        wp_enqueue_style('whstyle', plugins_url('../assets/css/whstyle.css', __FILE__));
        wp_enqueue_script('my-colorPicker', plugins_url('../assets/js/color_picker.js', __FILE__), array('wp-color-picker'), false, true);
        //wp_enqueue_script('my_tabs_control', plugins_url('../assets/js/bpxltabs.js', __FILE__), array('wp-color-picker'), false, true);

        //call register settings function
        add_action('admin_init', 'bpxl_site_enquiry_plugin_settings');
    }
}


if (!function_exists('bpxl_site_enquiry_plugin_settings')) {
    function bpxl_site_enquiry_plugin_settings()
    {
        //register our settings
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_phone_countrycode');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_whnumber');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_dflt_message');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_wbtn_position');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_wbtn_iconcolor');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_wbtn_textcolor');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_wbtn_showonarchive');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_wbtn_showfloating');
        register_setting('bpxl_whatsapp_enquiry_settings', 'bpxl_wbtn_getwidgetposition');
        //register our settings
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_facebook_enable');
        // register_setting('bpxl_facebook_enquiry_settings', 'bpxl__fb_disable_mobile');
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_facebook_page_url');
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_fbtn_iconcolor');
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_fbtn_showonarchive');
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_fbtn_showfloating');
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_fbtn_getwidgetposition');
        // register_setting('bpxl_facebook_enquiry_settings', 'bpxl__fb_message');
        register_setting('bpxl_facebook_enquiry_settings', 'bpxl_fbtn_position');

        register_setting('bpxl_master_settings', 'bpxl_master_enable');
        register_setting('bpxl_master_settings', 'bpxl_master_backcolor');
        register_setting('bpxl_master_settings', 'bpxl_master_iconcolor');
        register_setting('bpxl_master_settings', 'bpxl_master_showfloating');
        register_setting('bpxl_master_settings', 'bpxl_master_getwidgetposition');
    }
}
// tab buttons
if (!function_exists('bpxl_general_settings')) {
    function bpxl_general_settings()
    { ?>

        <div class="tab">
            <?php
            wp_enqueue_style('bpxl_fa', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');
            $actual_link = esc_url('http://' . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"], 'bpxl_enquiry');
            $general_settings = esc_url(get_site_url() .'/wp-admin/admin.php?page=bpxl_master', 'bpxl_enquiry');
            $whsetting =  esc_url(get_site_url() .'/wp-admin/admin.php?page=bpxl_whatapp_enquiry', 'bpxl_enquiry');
            $fbsetting = esc_url(get_site_url() .'/wp-admin/admin.php?page=bpxl_messenger', 'bpxl_enquiry');
            ?>
            <button class="msbutton <?php echo ($actual_link == $general_settings ? 'active' : '');
                                    ?>" onclick=" window.location.href = '<?php echo ($general_settings); ?>' "><i class="fa fa-cogs" style="font-size: 20px;"></i> <?php esc_html_e('General Settings', 'bpxl_enquiry') ?></button>
            <button class="whbuton  <?php echo ($actual_link == $whsetting ? 'active' : '');
                                    ?> " onclick=" window.location.href = '<?php echo ($whsetting); ?>' "><i class="fa fa-whatsapp" style="font-size: 20px;"></i> <?php esc_html_e('Whatsapp', 'bpxl_enquiry') ?></button>
            <button class="fbbutton <?php echo ($actual_link ==  $fbsetting ? 'active' : '');
                                    ?>" onclick=" window.location.href = '<?php echo ($fbsetting); ?>' "><i class="fa fa-facebook-square" style="font-size: 20px;"></i> <?php esc_html_e('Facebook', 'bpxl_enquiry') ?></button>

        </div>

    <?php
    }
}

//Settings Page Created
if (!function_exists('bpxl_whatsapp_enquiry_settings_page')) {
    function bpxl_whatsapp_enquiry_settings_page()
    {

    ?>

        <div class="wrap">


            <div class="tabcontent"> <?php echo bpxl_general_settings(); ?>


                <h1><?php esc_html_e('Whatsapp Enquiry Settings', 'bpxl_enquiry'); ?></h1>

                <form method="post" action="options.php">
                    <?php settings_fields('bpxl_whatsapp_enquiry_settings'); ?>
                    <?php do_settings_sections('bpxl_whatsapp_enquiry_settings'); ?>
                    <table class="form-table">
                        <tr valign="top">
                            <th scope="row"><?php esc_html_e('Country Code(without + symbol)', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_phone_countrycode" value="<?php echo esc_attr(get_option('bpxl_phone_countrycode')); ?>" /></td>
                        </tr>

                        <tr valign="top">

                            <th scope="row"><?php esc_html_e('Whatsapp Number', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_whnumber" value="<?php echo esc_attr(get_option('bpxl_whnumber')); ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php esc_html_e('icon Color', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_wbtn_iconcolor" id="whiconcolor" value="<?php echo esc_attr(get_option('bpxl_wbtn_iconcolor')); ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php esc_html_e('Text Color', 'bpxl_enquiry'); ?></th>
                            <td><input type="test" name="bpxl_wbtn_textcolor" id="textcolor" value="<?php echo esc_attr(get_option('bpxl_wbtn_textcolor')); ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php esc_html_e('Show On Product Archive', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_wbtn_showonarchive">
                                    <option value="yes" <?php
                                                        if (get_option('bpxl_wbtn_showonarchive') == "yes") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('Yes', 'bpxl_enquiry'); ?></option>
                                    <option value="no" <?php
                                                        if (get_option('bpxl_wbtn_showonarchive') == "no") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('No', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th scope="row"><?php esc_html_e('Show Floating Button', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_wbtn_showfloating">
                                    <option value="yes" <?php
                                                        if (get_option('bpxl_wbtn_showfloating') == "yes") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('Yes', 'bpxl_enquiry'); ?></option>
                                    <option value="no" <?php
                                                        if (get_option('bpxl_wbtn_showfloating') == "no") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('No', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Button Position', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_wbtn_getwidgetposition">
                                    <option value="right" <?php
                                                            if (get_option('bpxl_wbtn_getwidgetposition') == "right") {
                                                                echo esc_attr("selected=selected");
                                                            }
                                                            ?>><?php esc_html_e('Right', 'bpxl_enquiry'); ?></option>
                                    <option value="left" <?php
                                                            if (get_option('bpxl_wbtn_getwidgetposition') == "left") {
                                                                echo esc_attr("selected=selected");
                                                            }
                                                            ?>><?php esc_html_e('Left', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>

                        <tr valign="top">
                            <th scope="row"><?php esc_html_e('Default Text/Message(Button Text)', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_dflt_message" value="<?php echo esc_attr(get_option('bpxl_dflt_message')); ?>" /></td>
                        </tr>
                        <tr valign="top">
                            <th scope="row"><?php esc_html_e('Display Position', 'bpxl_enquiry') ?></th>
                            <td><select name="bpxl_wbtn_position">

                                    <option value="woocommerce_before_single_product" <?php
                                                                                        if (get_option('bpxl_wbtn_position') == "woocommerce_before_single_product") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('Before Product', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_before_single_product_summary" <?php
                                                                                                if (get_option('bpxl_wbtn_position') == "woocommerce_before_single_product_summary") {
                                                                                                    echo esc_attr("selected=selected");
                                                                                                }
                                                                                                ?>><?php esc_html_e('Before Product Summary', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_single_product_summary" <?php
                                                                                        if (get_option('bpxl_wbtn_position') == "woocommerce_single_product_summary") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('Product Summary', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_before_add_to_cart_form" <?php
                                                                                        if (get_option('bpxl_wbtn_position') == "woocommerce_before_add_to_cart_form") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('Before Add to Cart Form', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_after_single_product_summary" <?php
                                                                                                if (get_option('bpxl_wbtn_position') == "woocommerce_after_single_product_summary") {
                                                                                                    echo esc_attr("selected=selected");
                                                                                                }
                                                                                                ?>><?php esc_html_e('After Summary', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_after_single_product" <?php
                                                                                        if (get_option('bpxl_wbtn_position') == "woocommerce_after_single_product") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('After Product Summary', 'bpxl_enquiry'); ?></option>

                            </td>
                        </tr>
                    </table>

                    <?php submit_button(); ?>

                </form>

            </div>
        </div>

    <?php
    }
}

//Settings Page Created
if (!function_exists('bpxl_facebook_enquiry_settings_page')) {
    function bpxl_facebook_enquiry_settings_page()
    {
    ?>
        <div class="wrap">
            <div class="tabcontent">
                <?php echo bpxl_general_settings(); ?>
                <h1><?php esc_html_e('Facebook Enquiry Settings', 'bpxl_enquiry'); ?></h1>

                <form method="post" action="options.php">
                    <?php settings_fields('bpxl_facebook_enquiry_settings'); ?>
                    <?php do_settings_sections('bpxl_facebook_enquiry_settings'); ?>
                    <table class="form-table">
                        <tr valign="top">
                            <th scope="row"><?php esc_html_e('Enable', 'bpxl_enquiry'); ?></th>
                            <?php $isChecked = esc_attr(get_option('bpxl_facebook_enable')) == "on" ? 'checked="checked"' : null; ?>
                            <td><input type="checkbox" name="bpxl_facebook_enable" <?php echo $isChecked; ?>>

                            </td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Icon Color', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_fbtn_iconcolor" id="fbiconcolor" value="<?php echo esc_attr(get_option('bpxl_fbtn_iconcolor')); ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php esc_html_e('Enter Your Facebook Name', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_facebook_page_url" id="facebook_page_url" placeholder="bpxl.in" value="<?php echo esc_attr(get_option('bpxl_facebook_page_url')); ?>" /></td>
                        </tr>

                        <tr>
                            <th scope="row"> <?php esc_html_e('Show On Product Archive', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_fbtn_showonarchive">
                                    <option value="yes" <?php
                                                        if (get_option('bpxl_fbtn_showonarchive') == "yes") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('Yes', 'bpxl_enquiry'); ?></option>
                                    <option value="no" <?php
                                                        if (get_option('bpxl_fbtn_showonarchive') == "no") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('No', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th scope="row"><?php esc_html_e('Show Floating Button', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_fbtn_showfloating">
                                    <option value="yes" <?php
                                                        if (get_option('bpxl_fbtn_showfloating') == "yes") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('Yes', 'bpxl_enquiry'); ?></option>
                                    <option value="no" <?php
                                                        if (get_option('bpxl_fbtn_showfloating') == "no") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('No', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Button Position', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_fbtn_getwidgetposition">
                                    <option value="right" <?php
                                                            if (get_option('bpxl_fbtn_getwidgetposition') == "right") {
                                                                echo esc_attr("selected=selected");
                                                            }
                                                            ?>><?php esc_html_e('Right', 'bpxl_enquiry'); ?></option>
                                    <option value="left" <?php
                                                            if (get_option('bpxl_fbtn_getwidgetposition') == "left") {
                                                                echo esc_attr("selected=selected");
                                                            }
                                                            ?>><?php esc_html_e('Left', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>

                        <tr valign="top">
                            <th scope="row"><?php esc_html_e('Display Position', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_fbtn_position">

                                    <option value="woocommerce_before_single_product" <?php
                                                                                        if (get_option('bpxl_fbtn_position') == "woocommerce_before_single_product") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('Before Product', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_before_single_product_summary" <?php
                                                                                                if (get_option('bpxl_fbtn_position') == "woocommerce_before_single_product_summary") {
                                                                                                    echo esc_attr("selected=selected");
                                                                                                }
                                                                                                ?>><?php esc_html_e('Before Product Summary', 'bpxl_enquiry'); ?>
                                    </option>
                                    <option value="woocommerce_single_product_summary" <?php
                                                                                        if (get_option('bpxl_fbtn_position') == "woocommerce_single_product_summary") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('Product Summary', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_before_add_to_cart_form" <?php
                                                                                        if (get_option('bpxl_fbtn_position') == "woocommerce_before_add_to_cart_form") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('Before Add to Cart Form', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_after_single_product_summary" <?php
                                                                                                if (get_option('bpxl_fbtn_position') == "woocommerce_after_single_product_summary") {
                                                                                                    echo esc_attr("selected=selected");
                                                                                                }
                                                                                                ?>><?php esc_html_e('After Summary', 'bpxl_enquiry'); ?></option>
                                    <option value="woocommerce_after_single_product" <?php
                                                                                        if (get_option('bpxl_fbtn_position') == "woocommerce_after_single_product") {
                                                                                            echo esc_attr("selected=selected");
                                                                                        }
                                                                                        ?>><?php esc_html_e('After Product Summary', 'bpxl_enquiry'); ?></option>

                            </td>
                        </tr>
                    </table>

                    <?php submit_button(); ?>

                </form>
            </div>
        </div>
    <?php }
}

//Settings Page Created
if (!function_exists('bpxl_master_settings_page')) {
    function bpxl_master_settings_page()
    {
    ?>
        <div class="wrap">
            <div class="tabcontent">
                <?php echo bpxl_general_settings(); ?>

                <h1><?php esc_html_e('General Settings', 'bpxl_enquiry'); ?></h1>

                <form method="post" action="options.php">
                    <?php settings_fields('bpxl_master_settings'); ?>
                    <?php do_settings_sections('bpxl_master_settings'); ?>
                    <table class="form-table">

                        <tr valign="top">
                            <th scope="row"><?php esc_html_e('Enable', 'bpxl_enquiry'); ?></th>
                            <?php $isChecked = esc_attr(get_option('bpxl_master_enable')) == "on" ? 'checked="checked"' : null; ?>
                            <td><input type="checkbox" name="bpxl_master_enable" <?php echo $isChecked ?>>
                            </td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Floating Background Color', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_master_backcolor" id="msbackcolor" value="<?php echo esc_attr(get_option('bpxl_master_backcolor')); ?>" /></td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Icon Color', 'bpxl_enquiry'); ?></th>
                            <td><input type="text" name="bpxl_master_iconcolor" id="iconcolor" value="<?php echo esc_attr(get_option('bpxl_master_iconcolor')); ?>" /></td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Show Floating Button', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_master_showfloating">
                                    <option value="yes" <?php
                                                        if (get_option('bpxl_master_showfloating') == "yes") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('Yes', 'bpxl_enquiry'); ?></option>
                                    <option value="no" <?php
                                                        if (get_option('bpxl_master_showfloating') == "no") {
                                                            echo esc_attr("selected=selected");
                                                        }
                                                        ?>><?php esc_html_e('No', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <th scope="row"><?php esc_html_e('Button Position', 'bpxl_enquiry'); ?></th>
                            <td><select name="bpxl_master_getwidgetposition">
                                    <option value="right" <?php
                                                            if (get_option('bpxl_master_getwidgetposition') == "right") {
                                                                echo esc_attr("selected=selected");
                                                            }
                                                            ?>><?php esc_html_e('Right', 'bpxl_enquiry'); ?></option>
                                    <option value="left" <?php
                                                            if (get_option('bpxl_master_getwidgetposition') == "left") {
                                                                echo esc_attr("selected=selected");
                                                            }
                                                            ?>><?php esc_html_e('Left', 'bpxl_enquiry'); ?></option>
                                </select>
                            </td>
                        </tr>


                    </table>

                    <?php submit_button(); ?>

                </form>
            </div>
        </div>

    <?php }
}

//Function to display Whatsapp Button on frontend
if (!function_exists('bpxl_enquiry_whatsapp_display')) {
    function bpxl_enquiry_whatsapp_display()
    {
        global $product;
        //$title = get_permalink($product->id);
        $bpxl_phone_countrycode = get_option('bpxl_phone_countrycode');
        $bpxl_whnumber = get_option('bpxl_whnumber');
        $bpxl_dflt_message = get_option('bpxl_dflt_message');
        $bpxl_wbtn_iconcolor = get_option('bpxl_wbtn_iconcolor');
        $bpxl_wbtn_textcolor = get_option('bpxl_wbtn_textcolor');
        wp_enqueue_style('bpxl_fa', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');
    ?>
        <?php if (!empty($bpxl_wbtn_iconcolor) || !empty($bpxl_wbtn_textcolor)) { ?>
            <style type="text/css">
                <?php if (!empty($bpxl_wbtn_iconcolor)) {
                ?>.fa-whatsapp {
                    color: <?php echo esc_attr($bpxl_wbtn_iconcolor); ?>;

                }

                <?php
                }

                if (!empty($bpxl_wbtn_textcolor)) {
                ?>.textcolor {
                    color: <?php echo esc_attr($bpxl_wbtn_textcolor); ?>;
                    font-size: 32px;
                }

                <?php
                }

                ?>
            </style>
        <?php }  ?>

        <div class="">
            <?php $whdata = "<a class='textcolor' href=" . esc_url('http://wa.me/' . $bpxl_phone_countrycode . $bpxl_whnumber) . "?text=" . esc_attr($bpxl_dflt_message) . " target='_blank'><i class='fa fa-whatsapp'></i></a>"; //. esc_attr('' . $bpxl_dflt_message).
            ?></div>

    <?php return  $whdata;
    }
}

//Function to display Whatsapp Button on frontend
if (!function_exists('bpxl_enquiry_facebook_display')) {
    function bpxl_enquiry_facebook_display()
    {
        global $product;
        $title = get_permalink($product->id);
        $bpxl_facebook_name = get_option('bpxl_facebook_page_url');
        $bpxl_fbtn_showfloating = get_option('bpxl_fbtn_showfloating');
        $bpxl_fbtn_iconcolor = get_option('bpxl_fbtn_iconcolor');
        wp_enqueue_style('bpxl_fa', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');
    ?>
        <?php if (!empty($bpxl_fbtn_iconcolor) || !empty($bpxl_fbtn_textcolor)) { ?>
            <style type="text/css">
                <?php if (!empty($bpxl_fbtn_iconcolor)) {
                ?>.fa-facebook {
                    color: <?php echo esc_attr($bpxl_fbtn_iconcolor);
                            ?>;
                }

                <?php
                } ?>.textcolor {

                    font-size: 32px;
                }
            </style>
        <?php } ?>

        <div class="">

            <?php $fbdata = "<a class='textcolor' href=" . esc_url('http://facebook.com/' . $bpxl_facebook_name) . " target='_blank'><i class='fa fa-facebook'></i></a>"; ?>
        </div>

    <?php return $fbdata;
    }
}


/**
 * Proper way to enqueue scripts and styles
 */
if (!function_exists('bpxl_enquiry_style')) {
    function bpxl_enquiry_style()
    {
        wp_enqueue_style('bpxl_fa', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');
    }
}
add_action('wp_enqueue_scripts', 'bpxl_enquiry_style');



//Function to display Whatsapp Button on frontend
if (!function_exists('bpxl_enquiry_display_button')) {
    function bpxl_enquiry_display_button()
    {;
        $bpxl_wbtn_showfloating = get_option('bpxl_wbtn_showfloating');

        $bpxl_fbtn_showfloating = get_option('bpxl_fbtn_showfloating');
        $bpxl_master_enable = get_option('bpxl_master_enable');
        $bpxl_master_showfloating = get_option('bpxl_master_showfloating');
        $bpxl_master_backcolor = get_option('bpxl_master_backcolor');
        $bpxl_master_iconcolor = get_option('bpxl_master_iconcolor');
        $bpxl_master_getwidgetposition = get_option('bpxl_master_getwidgetposition');

        //    print_r($bpxl_master_getwidgetposition);
        //    exit;

    ?>
        <?php if ($bpxl_master_enable != '') {
            if ($bpxl_master_showfloating == 'yes') {  ?>
                <?php if ($bpxl_fbtn_showfloating == 'yes' || $bpxl_wbtn_showfloating == 'yes') {  ?>
                    <style type="text/css">
                        <?php if (!empty($bpxl_wbtn_iconcolor)) {
                        ?>.iconcolor {
                            color: <?php echo esc_attr($bpxl_wbtn_iconcolor);
                                    ?>;
                        }

                        <?php
                        }

                        ?><?php if (!empty($bpxl_wbtn_textcolor)) {
                            ?>.textcolor {
                            color: <?php echo esc_attr($bpxl_wbtn_textcolor);
                                    ?>;
                        }

                        <?php
                            }

                        ?>.return-to-top {
                            color: #fff;
                            margin: 0;
                            position: fixed;

                            bottom: 16px;
                            font-size: 40px;
                            width: 50px;
                            text-align: center;
                            height: 50px;
                            background-color: #2db742;
                            border-top-left-radius: 50px;
                            border-top-right-radius: 50px;
                            border-bottom-right-radius: 50px;
                            border-bottom-left-radius: 50px;
                            color: white;
                            <?php echo esc_attr($bpxl_master_getwidgetposition); ?>: 16px;
                        }


                        .dsfab-container {
                            position: fixed;
                            bottom: 50px;
                            z-index: 999;
                            cursor: pointer;
                            <?php echo esc_attr($bpxl_master_getwidgetposition); ?>: 50px;
                        }

                        .dsfab-icon-holder {
                            width: 55px;
                            height: 55px;
                            border-radius: 100%;
                            background: #016fb9;
                            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.2);
                        }

                        .dsfab-icon-holder:hover {
                            opacity: 0.8;
                        }

                        .dsfab-icon-holder i {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            text-align: center;
                            height: 100%;
                            <?php if ($bpxl_master_iconcolor) { ?>color: <?php echo esc_attr($bpxl_master_iconcolor);
                                                                            ?> !important;
                            <?php } else { ?>color: #ffffff;
                            <?php } ?>
                        }


                        .dsfab {
                            width: 60px;
                            height: 60px;

                        }

                        .dsfab-options {
                            list-style-type: none;
                            margin: 0;
                            position: absolute;
                            bottom: 70px;
                            right: 0;
                            opacity: 0;
                            transition: all 0.3s ease;
                            transform: scale(0);
                            transform-origin: 85% bottom;
                        }

                        .dsfab:hover+.dsfab-options,
                        .dsfab-options:hover {
                            opacity: 1;
                            transform: scale(1);
                        }

                        .dsfab-options li {
                            display: flex;
                            justify-content: center;
                            text-align: center;
                            padding: 5px;

                        }

                        .dsfab-label {
                            padding: 2px 5px;
                            align-self: center;
                            user-select: none;
                            white-space: nowrap;
                            border-radius: 3px;
                            font-size: 16px;
                            background: #666666;
                            color: #ffffff;
                            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.2);
                            margin-right: 10px;
                        }

                        .whatsapp .fa {
                            width: 40px !important;
                            color: <?php echo esc_attr($bpxl_wbtn_iconcolor);
                                    ?> !important;
                        }

                        .facebook .fa {
                            width: 40px !important;
                            color: <?php echo esc_attr($bpxl_fbtn_iconcolor);
                                    ?> !important;
                        }

                        .master svg {
                            width: 40px !important;
                            fill: <?php echo esc_attr($bpxl_master_iconcolor);
                                    ?> !important;
                        }

                        .dsfab {
                            background: <?php echo esc_attr($bpxl_master_backcolor);
                                        ?> !important;
                        }

                        .fa-whatsapp:before {
                            width: 40px;

                        }
                    </style>

                    <div class="dsfab-container">
                        <div class="dsfab dsfab-icon-holder">
                            <i class="fa fa-whatsapp fa-2x" aria-hidden="true"></i>

                        </div>

                        <ul class="dsfab-options">

                            <?php if ($bpxl_wbtn_showfloating == 'yes') {  ?>
                                <li>
                                    <?php echo (bpxl_enquiry_whatsapp_display()); ?>

                                </li>
                            <?php }
                            if ($bpxl_fbtn_showfloating == 'yes') {  ?>
                                <li>
                                    <div class="facebook">
                                        <?php echo (bpxl_enquiry_facebook_display()); ?>
                                    </div>
                                </li>
                            <?php } ?>

                        </ul>
                    </div>
<?php }
            }
        }
    }
} ?>